fs setvol                  AFS Commands               fs setvol


NAME

   fs setvol -- set maximum quota and messages for each volume

                       containing specified directory.


                                    +
   fs setvol  [-path <dir/file path>   [-max <disk space quota
   in 1K units>]
   [-motd <message of the day>]  [-offlinemsg <offline
   message>]
   [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

                             +
   fs sv  [-p <dir/file path> ]  [-ma <disk space quota in 1K
   units>]
   [-mo <message of the day>]  [-o <offline message>]  [-h]

DESCRIPTION

   Sets  maximum  quota  for  the  volumes  that  contain  each
   specified  directory  or  file.   It is also possible to use
   -motd and -offlinemsg to create messages associated with the
   volume, which appear when the fs examine command is issued.

   The fs examine command displays all the information that can
   be altered with this  command.    The  fs listquota  command
   displays  maximum  quota,  and the fs quota command displays
   the percent quota used.

   The fs setquota command sets maximum quota on one volume  at
   a time.

ARGUMENTS

   -path           names  each  file and/or directory for which
                   quota and messages on the host  volumes  are
                   to  be  set.  Omit this switch to affect the
                   volume that  contains  the  current  working
                   directory.

   -max            specifies  the  maximum amount of disk space
                   the volume can use.  Express it in  kilobyte
                   blocks (a value of 1024 is one megabyte).  A
                   value of 0 grants an  unlimited  quota,  but
                   the  size  of the disk partition housing the
                   volume  places  an  absolute  limit  on  the
                   volume's maximum size.

   -motd           specifies  a  "message of the day" displayed
                   with the fs examine command.  It can be used
                   to  alert  users  to  anything  of  interest
                   concerning the volume.

   -offlinemsg     specifies a message displayed  with  the  fs
                   examine  command.  It can be used to explain
                   why the volume is currently offline.

   -help           prints  the  online  help  entry  for   this



                   command.  Do not provide any other arguments
                   or flags with this one.  See section 3.1  in
                   the Reference Manual for more details.

EXAMPLES

   The  following  imposes a 6500 kilobyte quota on the volumes
   housing      the       /afs/transarc.com/usr/smith       and
   /afs/transarc.com/usr/pat home directories:

   % cd /afs/transarc.com/usr  % fs sv -p smith pat -ma 6500

PRIVILEGE REQUIRED

   Issuer must belong to the system:administrators group in the
   Protection Database.

MORE INFORMATION

   fs examine

   fs listquota

   fs quota

   fs setquota
